let $dbaseUsers := doc('adapter:dBase_V?file:///c:/designPreviews/pipelines/stocks/oldUsers.dbf')
let $userIDRequest := doc('file:///c:/designPreviews/pipelines/stocks/userIDSample.xml')
return
<report>
	{
	let $userData := $dbaseUsers/table/row[USERID/text() = $userIDRequest/requestedUser/ID/text()]
	return
	(
	<user>
		<firstName>{$userData/FIRSTNAME/text()}</firstName>
		<lastName>{$userData/LASTNAME/text()}</lastName>
	</user>,
	<holdings>
		{
		for $holding in collection("stocks.dbo.HOLDINGS")/HOLDINGS,
		    $company in collection("stocks.dbo.STATISTICAL")/STATISTICAL
		where $holding/USERID/text() = $userData/USERID/text() and $holding/STOCKTICKER/text() = $company/TICKER/text()
		return
		<holding>
			<ticker>
				{$holding/STOCKTICKER/text()}
			</ticker>
			<quantity>
				{$holding/SHARES/text()}
			</quantity>
			<company>
				{$company/COMPANYNAME/text()}
			</company>
			<revenues>
				{$company/ANNUALREVENUES/text()}
			</revenues>
			<location>
				{$company/LOCATION/text()}
			</location>
		</holding>
		}
	</holdings>
	)
	}
</report>

(: Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="" outputurl="" processortype="datadirect" tcpport="0" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="262382168" user="" password="" validateoutput="no" validator="internal" customvalidator="" ><parameterValue name="dbaseUsers" value="doc('adapter:dBase_V?..\stocks\oldUsers.dbf')"/><parameterValue name="userIDRequest" value="doc('..\stocks\userIDSample.xml')"/><collection name="jdbc:xquery:sqlserver://localhost:1433;user=datadirect;password=0C233A741636;xmlforest=true;DatabaseName=stocks;urltype=.xml" url="jdbc:xquery:sqlserver://localhost:1433;user=datadirect;password=0C233A741636;xmlforest=true;DatabaseName=stocks;urltype=.xml"/></scenario></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
:)